<?php
require("../configuracoes/functions.php");
require("../autoload.php");

// Configura o fuso horário para "America/Sao_Paulo"
date_default_timezone_set('America/Sao_Paulo');

$app  = new Aplicativos();
$code = new Encode();

$info_app = $app->buscar_apps("p2pultra");
$logo = $info_app["app_info"][0]["app_img_logotipo"];
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <title>Realm Dashboard Widget</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script type="text/javascript" src="https://xshare.work/xplaypro/api/widgets/data/js/jquery.js"></script>
  <script type="text/javascript" src="https://xshare.work/xplaypro/api/widgets/data/js/jquery.fadeImg.js"></script>
  <style>
    body {
      margin: 0;
      padding: 0;
      overflow: hidden;
      height: 100vh;
      background-color: transparent !important;
    }

    .slide {
      color: white;
      background-color: transparent;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      background-attachment: fixed;
      height: 100vh; /* ajuste para cobrir toda a altura da viewport */
      width: 100%;
      top: 0;
      left: 0;
      margin: 0;
      padding: 0;
      border: 0;
      position: relative;
      z-index: 0; /* certifique-se de que está abaixo dos outros elementos */
    }

    .slide ul {
      overflow: hidden;
      background-color: transparent;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      background-attachment: fixed;
      height: 100%;
      width: 100%;
      margin: 0;
      padding: 0;
      border: 0;
      position: relative;
      z-index: 1; /* certifique-se de que está acima do elemento li */
    }

    .slide ul li {
      list-style: none;
      position: absolute;
      z-index: 1;
      background-color: transparent;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      background-attachment: fixed;
      height: 100%;
      width: 100%;
      top: 0;
      left: 0;
      margin: 0;
      padding: 0;
      border: 0;
    }
  </style>
</head>
<body>

<div class="slide">
  <ul>
    <li style="background-color: transparent !important;background-image:url('<?php echo $logo; ?>');"></li>
  </ul>
</div>

</body>
</html>
